> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/ro/documentatie-api/prezentare-generala-a-cererilor-api-geopard/6.-interogare-obtine-hartizone.md).

# 6. Interogare: Obține "HărțiZone"

Obțineți "ZonesMaps" pentru "Field".

## Solicitați

{% code overflow="wrap" lineNumbers="true" %}

```graphql
interogare GetZonesMaps {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]) {
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      vectorAnalysisMaps (vectorAnalysisMapUuids: ["<placeholder_of_vectoranalusismap_uuid>"])  {
        uuid
        fieldUuid
        nume
        tip
        numărDeZone
        urlHartăZone
        parameters {
          pixelSize
          numărDeZone
          index
        }
        geoMaps {
          url
          shortName
          fullName
          description
        }
      }
    }
  }
}
```

{% endcode %}

## Răspuns

### Metadate

Răspunsul conține JSON-ul de mai jos.&#x20;

```json
{
  "data": {
    "getFarms": [
      {
        "fields": [
          {
            "vectorAnalysisMaps": [
              {
                "uuid": "ff06c914-7b87-4e67-991e-7b63c29967ee",
                "fieldUuid": "a716fd04-4f78-4ce8-b712-ffb88bd2acdd",
                "name": "GP_Auto_Nitrogen_Use_Efficiency_GP Value",
                "type": "GENERAL",
                "numberOfZones": 5,
                "zonesMapUrl": "https://api.geopard.tech/geo/feature?SERVICE=WFS&VERSION=2.0.0&REQUEST=GetFeature&TYPENAMES=yield_zone_map_view&OUTPUTFORMAT=application/json&VIEWPARAMS=uuid:ff06c914-7b87-4e67-991e-7b63c29967ee",
                "parameters": {
                  "pixelSize": 3,
                  "numberOfZones": 5,
                  "index": null
                },
                "geoMaps": [
                  {
                    "url": "https://api.geopard.tech/geo/map?SERVICE=WMS&VERSION=1.1.1&REQUEST=GetMap&FORMAT=image/png&TRANSPARENT=true&VIEWPARAMS=uuid:ff06c914-7b87-4e67-991e-7b63c29967ee&LAYERS=yield_zone_map_view&exceptions=application/vnd.ogc.se_inimage&SRS=EPSG:3857&STYLES=zonesmap_5&HEIGHT=512&WIDTH=512&BBOX=1241176.6915898728,6782812.894653523,1241800.9875526938,6783974.322349498&",
                    "shortName": "zones",
                    "fullName": null,
                    "description": null
                  },
                  {
                    "url": "https://api.geopard.tech/geo/map/reflect?TRANSPARENT=true&VIEWPARAMS=uuid:ff06c914-7b87-4e67-991e-7b63c29967ee&LAYERS=yield_zone_map_view&SRS=EPSG:3857&STYLES=zonesmap_5&HEIGHT=64&BBOX=1241176.6915898728,6782812.894653523,1241800.9875526938,6783974.322349498&",
                    "shortName": "thumbnail",
                    "fullName": null,
                    "description": null
                  }
                ]
              }
            ]
          }
        ]
      }
    ]
  }
}
```

### Statistici și Geometrii ale Zonelor

Detalii despre Statistici și Geometrii ale Zonelor se află în `urlHartăZone` .

Exemplul de statistici din `proprietăți` este mai jos.

```json
"properties": {
  "mapUuid": "ff06c914-7b87-4e67-991e-7b63c29967ee",
  "zone": 1,
  "attributes": {
    "avg": 70.427,
    "max": 103.0,
    "min": 56.0,
    "std": 11.456,
    "sum": 30847.0,
    "area": 4000.0073042009,
    "index": "VALUE",
    "median": 66.0
  },
  "createdDate": "2023-10-12T22:09:26.447Z",
  "updatedDate": "2023-10-12T22:09:26.447Z",
  "minZone": 1,
  "avgZone": 3,
  "maxZone": 5,
  "sqm": 4000.01
}
```

### Vizualizare WMS

Vizualizările sunt în `geoMaps` cum se folosește redarea WMS descris [AICI](/geopard-tutorials/ro/documentatie-api/puncte-finale-geo-pentru-acces-la-date-spatiale/wms-obtine-imagini-raster-ale-straturilor-de-date-spatiale/6.-hartazone-schema-de-culori-personalizata.md) și [AICI](/geopard-tutorials/ro/documentatie-api/puncte-finale-geo-pentru-acces-la-date-spatiale/wms-obtine-imagini-raster-ale-straturilor-de-date-spatiale/7.-hartazone-miniatura.md).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/ro/documentatie-api/prezentare-generala-a-cererilor-api-geopard/6.-interogare-obtine-hartizone.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
